LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XZipFileAccess Interface Reference

allows to get reading access to non-encrypted entries inside zip file. More...

`import "XZipFileAccess.idl";`

Inheritance diagram for XZipFileAccess:

## Public Member Functions
::com::sun::star::io::XInputStream | getStreamByPattern ([in] string aPattern) raises ( ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::packages::zip::ZipException )
| allows to get stream by specifying a pattern.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to get reading access to non-encrypted entries inside zip file.

## Member Function Documentation

## ◆ getStreamByPattern()

::com::sun::star::io::XInputStream getStreamByPattern | ( | [in] string | aPattern | ) |
raises | ( | ::com::sun::star::container::NoSuchElementException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::packages::WrongPasswordException,
|  | ::com::sun::star::packages::zip::ZipException ) |  |  |

allows to get stream by specifying a pattern.

The first stream with a name that fits to the pattern will be returned. The pattern allows to use "*" wildcard symbol. If the name contains "*" or "\" symbols itself they must guarded with backslash "". The slashes have no special meaning here so they can be replaced by wildcards also.

The documentation for this interface was generated from the following file:

- com/sun/star/packages/zip/XZipFileAccess.idl